Bug 253036 - www/firefox: add LTO option
Summary: www/firefox: add LTO option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-27 00:14 UTC by Piotr Kubaj
Modified: 2021-02-22 21:48 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
patch (1.05 KB, patch)
2021-01-27 00:14 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2021-01-27 00:14:46 UTC
Created attachment 221950 [details]
patch

For some reason, I was unable to build Firefox with LTO on 12.2-RELEASE, but it works on 13.0-ALPHA2 (both amd64).

On 12.2-RELEASE, build times out.

I did not yet test thunderbird or firefox-esr.
Comment 1 daniel.engberg.lists 2021-01-27 00:47:53 UTC
Can we add LTO_DESC to Mk/bsd.options.desc.mk as we're getting more and more ports that uses it?

https://svnweb.freebsd.org/ports/head/net-mgmt/netdata/Makefile?revision=559848&view=markup#l79
https://svnweb.freebsd.org/ports/head/multimedia/ffmpeg/Makefile?revision=559263&view=markup#l108

Are at least two I know off the top of my head
Comment 2 Piotr Kubaj freebsd_committer 2021-01-27 18:27:31 UTC
If I get approval for adding LTO option here, I'll change options for other ports. On top of my head, wireshark also has (or had) LTO option.
Comment 3 commit-hook freebsd_committer 2021-02-10 19:24:37 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Feb 10 19:23:51 UTC 2021
New revision: 564901
URL: https://svnweb.freebsd.org/changeset/ports/564901

Log:
  www/firefox: add LTO option

  PR:		253036
  Approved by:	gecko (maintainer timeout)

Changes:
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile.options